package com.zehong.dangerousdevicereport.dao;

import java.util.List;

import com.zehong.dangerousdevicereport.entity.TDeviceReportData;

/**
 * 设备信息上报Mapper接口
 * 
 * @author zehong
 * @date 2022-04-11
 */
public interface TDeviceReportDataDao {
    /**
     * 查询设备信息上报
     * 
     * @param reportId 设备信息上报ID
     * @return 设备信息上报
     */
    TDeviceReportData selectTDeviceReportDataById(String reportId);

    /**
     * 查询设备信息上报列表
     * 
     * @param tDeviceReportData 设备信息上报
     * @return 设备信息上报集合
     */
    List<TDeviceReportData> selectTDeviceReportDataList(TDeviceReportData tDeviceReportData);

    /**
     * 新增设备信息上报
     * 
     * @param tDeviceReportData 设备信息上报
     * @return 结果
     */
    int insertTDeviceReportData(TDeviceReportData tDeviceReportData);

    /**
     * 修改设备信息上报
     * 
     * @param tDeviceReportData 设备信息上报
     * @return 结果
     */
    int updateTDeviceReportData(TDeviceReportData tDeviceReportData);

    /**
     * 删除设备信息上报
     * 
     * @param reportId 设备信息上报ID
     * @return 结果
     */
    int deleteTDeviceReportDataById(String reportId);

    /**
     * 批量删除设备信息上报
     * 
     * @param reportIds 需要删除的数据ID
     * @return 结果
     */
    int deleteTDeviceReportDataByIds(String[] reportIds);

    /**
     * 清楚历史数据
     * @param reportTime 上报时间
     * @return
     */
    int clearHistoryReportedData(String reportTime);
}
