package com.zehong.dangerousdevicereport.task.impl;


import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateUtil;
import com.zehong.dangerousdevicereport.service.ITDeviceReportDataService;
import com.zehong.dangerousdevicereport.task.ScheduledOfTask;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 清除历史上报数据
 */
@Component
@Slf4j
public class ClearHistoryReportedData implements ScheduledOfTask {

    private Logger logger = LoggerFactory.getLogger(ClearHistoryReportedData.class);

    @Autowired
    private ITDeviceReportDataService itDeviceReportDataService;
    @Value("${timeinterval}")
    private int timeInterval;

    @Override
    public void execute() {
        Date date = DateUtil.date();
        Date date1 = DateUtil.offset(date, DateField.DAY_OF_MONTH, timeInterval);
        itDeviceReportDataService.clearHistoryReportedData(DateUtil.formatDateTime(date1));
        logger.info("历史数据已删除");
    }
}

